---
pre-commit:
  parallel: true
  commands:
    compiling:
      glob: &elixir_files '*.{ex,exs}'
      run: make check_compile
    formating:
      glob: *elixir_files
      run: make check_format
    linting:
      glob: *elixir_files
      run: make credo
    typing:
      glob: *elixir_files
      run: make dialyzer
pre-push:
  commands:
    testing:
      run: make compose_test
